.block-columns {
    display: block;
}

.block-columns + .block-columns {
    margin-top: 96px;
}
.block-section + .block-columns,
.wp-block-image.alignwide + .block-columns {
    margin-top: 96px;
}

.block-columns__columns:has(.block-column--sticky) {
    align-items: flex-start;
}
.block-columns__columns .block-columns,
.block-text-media .block-columns {
    margin-top: 48px;
    margin-bottom: 48px;
}

.is-style-4-8 > .block-columns__columns > :first-child { --custom-theme-flex-span: 4; }
.is-style-4-8 > .block-columns__columns > :nth-child(2) { --custom-theme-flex-span: 8; }

.is-style-5-6 > .block-columns__columns::before { content: ''; --custom-theme-flex-span: 1; order: 2; }
.is-style-5-6 > .block-columns__columns > :first-child { --custom-theme-flex-span: 5; order: 1; }
.is-style-5-6 > .block-columns__columns > :nth-child(2) { --custom-theme-flex-span: 6; order: 3; }

.is-style-6-5 > .block-columns__columns::before { content: ''; --custom-theme-flex-span: 1; order: 2; }
.is-style-6-5 > .block-columns__columns > :first-child { --custom-theme-flex-span: 6; order: 1; }
.is-style-6-5 > .block-columns__columns > :nth-child(2) { --custom-theme-flex-span: 5; order: 3; }

.is-style-1-5-6 >  .block-columns__columns::before { content: ''; --custom-theme-flex-span: 1; order: 1; }
.is-style-1-5-6 > .block-columns__columns > :first-child { --custom-theme-flex-span: 5; order: 2; }
.is-style-1-5-6 > .block-columns__columns > :nth-child(2) { --custom-theme-flex-span: 6; order: 3; }

.is-style-1-5-1-5 >  .block-columns__columns::before { content: ''; --custom-theme-flex-span: 1; order: 1; }
.is-style-1-5-1-5 > .block-columns__columns > :first-child { --custom-theme-flex-span: 5.5; order: 2; }
.is-style-1-5-1-5 > .block-columns__columns > :nth-child(2) { --custom-theme-flex-span: 5; order: 4; }
.is-style-1-5-1-5 >  .block-columns__columns::after { content: ''; --custom-theme-flex-span: 0.5; order: 3; }

.is-style-3-1-8 >  .block-columns__columns::before { content: ''; --custom-theme-flex-span: 1; order: 2; }
.is-style-3-1-8 > .block-columns__columns > :first-child { --custom-theme-flex-span: 3; order: 1; }
.is-style-3-1-8 > .block-columns__columns > :nth-child(2) { --custom-theme-flex-span: 8; order: 3; }

.is-style-8-centred > .block-columns__columns {
    justify-content: center;
}
.is-style-8-centred > .block-columns__columns > :first-child { --custom-theme-flex-span: 8; }
.is-style-8-centred .gform_wrapper { margin-left: auto; margin-right: auto; }

.is-style-6-centred > .block-columns__columns {
    justify-content: center;
}
.is-style-6-centred > .block-columns__columns > :first-child { --custom-theme-flex-span: 6; }

.is-style-6-6 > .block-columns__columns > :first-child { --custom-theme-flex-span: 6; }
.is-style-6-6 > .block-columns__columns > :nth-child(2) { --custom-theme-flex-span: 6; }



.is-style-text-media > .block-columns__columns { justify-content: center; }
.is-style-text-media > .block-columns__columns > :first-child { --custom-theme-flex-span: 5; }
.is-style-text-media > .block-columns__columns > :nth-child(2) { --custom-theme-flex-span: 5; padding-left: 36px; }



@media screen and (max-width: 1279px) {
    .is-style-1-5-6 >  .block-columns__columns::before { display: none; }
    .is-style-1-5-6 > .block-columns__columns > :first-child { --custom-theme-flex-span: 6; }

    .is-style-1-5-1-5 > .block-columns__columns::before { display: none; }
    .is-style-1-5-1-5 > .block-columns__columns > :first-child { --custom-theme-flex-span: 6.5; }

    .is-style-3-1-8 > .block-columns__columns::before { --custom-theme-flex-span: 0.5; }
    .is-style-3-1-8 > .block-columns__columns > :first-child { --custom-theme-flex-span: 3.5; }

    .block-columns__columns .block-columns__columns {
        flex-wrap: wrap;
    }
    .block-columns__columns .block-columns .block-column {
        --custom-theme-flex-span: 10!important;
    }

    .is-style-text-media > .block-columns__columns > :first-child {
        --custom-theme-flex-span: 6;
    }
}

@media screen and (max-width: 991px) {
    .block-columns + .block-columns {
        margin-top: 68px;
    }
    .is-style-4-8 > .block-columns__columns,
    .is-style-5-6 > .block-columns__columns,
    .is-style-6-5 > .block-columns__columns,
    .is-style-1-5-6 > .block-columns__columns,
    .is-style-1-5-1-5 > .block-columns__columns,
    .is-style-3-1-8 > .block-columns__columns,
    .is-style-text-media > .block-columns__columns {
        flex-direction: column;
        gap: 32px;
    }
    .block-section + .block-columns,
    .wp-block-image.alignwide + .block-columns {
        margin-top: 68px;
    }

    .block-columns__columns > .block-column:has(>.block-column__content > .block-image-composition:last-child:first-child) {
        order: 100;
        min-width: 100%;
    }

    .is-style-6-centred > .block-columns__columns > :first-child { --custom-theme-flex-span: 8; }
    .is-style-8-centred > .block-columns__columns > :first-child { --custom-theme-flex-span: 10; }

    .is-style-1-5-1-5 > .block-columns__columns::after,
    .is-style-3-1-8 > .block-columns__columns::before,
    .is-style-6-5 > .block-columns__columns::before {
        display: none;
    }
    .is-style-text-media > .block-columns__columns > :nth-child(2) {
        padding-left: 0;
    }

    .is-style-6-6 + .is-style-6-6{
        margin-top: 0!important;
    }
    .is-style-6-6:has(+.is-style-6-6) {
        margin-bottom: 24px!important;
    }

}

@media screen and (max-width: 767px) {
    .is-style-6-centred .has-text-align-center,
    .is-style-8-centred .has-text-align-center {
        text-align: left;
    }
    .is-style-6-centred .is-style-label.has-text-align-center,
    .is-style-8-centred .is-style-label.has-text-align-center {
        margin-left: 0;
    }
    .is-style-6-centred > .block-columns__columns > :first-child,
    .is-style-8-centred > .block-columns__columns > :first-child {
        --custom-theme-flex-span: 12;
    }
    .block-columns__columns .block-columns .block-column {
        --custom-theme-flex-span: 12!important;
    }

}
